Overview | Modules | Class Hierarchy | Classes | Members

# tlp::BooleanAlgorithm Class Reference
[Plugins]

`#include <BooleanAlgorithm.h>`

Inherits tlp::PropertyAlgorithm.

Inheritance diagram for tlp::BooleanAlgorithm:

[legend]
Collaboration diagram for tlp::BooleanAlgorithm:

[legend]
List of all members.

## Detailed Description

Interface for selection plug-ins.

## Public Member Functions

- virtual ~BooleanAlgorithm ()

## Public Attributes

- BooleanProperty * booleanResult

## Protected Member Functions

- BooleanAlgorithm (const PropertyContext &)

## Friends

- class BooleanProperty

Tulip Software by LaBRI Visualization Team 2001 - 2010